import { writeFileSync } from 'fs';
import { join } from 'path';
import { evaluateConfig } from '../utils';
import { transform as transformClassesToTypes } from './transform-classes-to-types';
var config = evaluateConfig({});
if (process.env.NODE_ENV !== 'test') {
    var esTypesPath = join(process.cwd(), 'es', 'classy-ui.d.ts');
    var libTypesPath = join(process.cwd(), 'lib', 'classy-ui.d.ts');
    var types = transformClassesToTypes(config);
    writeFileSync(esTypesPath, types);
    writeFileSync(libTypesPath, types);
}
//# sourceMappingURL=create-types-script.js.map