import { __values } from "tslib";
var isBrowser = typeof document !== 'undefined';
var classCache = new Set();
var style;
if (isBrowser) {
    style = document.createElement('style');
    var head = document.querySelector('head');
    head === null || head === void 0 ? void 0 : head.appendChild(style);
}
export var addClasses = function (classes) {
    var css = '';
    for (var x = 0; x < classes.length; x += 2) {
        var className = classes[x];
        if (classCache.has(className)) {
            continue;
        }
        classCache.add(className);
        var cssString = classes[x + 1];
        css += cssString + "\n";
    }
    if (isBrowser) {
        style.appendChild(document.createTextNode(css));
    }
};
export var fixSpecificity = function (classnames) {
    var e_1, _a, e_2, _b;
    var a = new Map();
    try {
        for (var _c = __values(classnames.split(' ')), _d = _c.next(); !_d.done; _d = _c.next()) {
            var n = _d.value;
            a.set(n.substr(0, n.indexOf(process.env.NODE_ENV === 'production' ? '_' : '__')), n);
        }
    }
    catch (e_1_1) { e_1 = { error: e_1_1 }; }
    finally {
        try {
            if (_d && !_d.done && (_a = _c.return)) _a.call(_c);
        }
        finally { if (e_1) throw e_1.error; }
    }
    classnames = '';
    try {
        for (var _e = __values(a.values()), _f = _e.next(); !_f.done; _f = _e.next()) {
            var n = _f.value;
            classnames += n + " ";
        }
    }
    catch (e_2_1) { e_2 = { error: e_2_1 }; }
    finally {
        try {
            if (_f && !_f.done && (_b = _e.return)) _b.call(_e);
        }
        finally { if (e_2) throw e_2.error; }
    }
    return classnames;
};
var throwError = function () {
    throw new Error('CLASSY-UI: The plugin is not active. Either you are in a macro environment and you forgot to import from "classy-ui/macro", or the plugin is not added in your babel configuration');
};
export var c = throwError;
export var t = throwError;
export var compose = throwError;
export var tokens = throwError;
export var themes = throwError;
export var group = throwError;
//# sourceMappingURL=index.js.map