"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = require("fs");
var path_1 = require("path");
var utils_1 = require("../utils");
var transform_classes_to_types_1 = require("./transform-classes-to-types");
var config = utils_1.evaluateConfig({});
if (process.env.NODE_ENV !== 'test') {
    var esTypesPath = path_1.join(process.cwd(), 'es', 'classy-ui.d.ts');
    var libTypesPath = path_1.join(process.cwd(), 'lib', 'classy-ui.d.ts');
    var types = transform_classes_to_types_1.transform(config);
    fs_1.writeFileSync(esTypesPath, types);
    fs_1.writeFileSync(libTypesPath, types);
}
//# sourceMappingURL=create-types-script.js.map